## org.eclipse.contribution.visualiser.simpleImpl
Class SimpleMember

    java.lang.Object
      org.eclipse.contribution.visualiser.simpleImpl.SimpleMember

All Implemented Interfaces:
  IMember

Direct Known Subclasses:
  JDTMember, ResourceMember

public class SimpleMember
extends java.lang.Object
implements IMember

Simple implementation of a member. See the IMember interface for more information.

Field Summary
`protected IGroup` `containingGroup`
`protected java.lang.String` `fullname`
`protected java.lang.String` `name`
`protected java.lang.Integer` `size`
`protected java.lang.String` `tooltip`

Constructor Summary
`SimpleMember(java.lang.String s)` The constructor.

Method Summary
`IGroup` `getContainingGroup()` Get the IGroup which contains this member
`java.lang.String` `getFullname()` Get the full name for this member
`java.lang.String` `getName()` Get this member's name
`java.lang.Integer` `getSize()` Get the size
`java.lang.String` `getToolTip()` Get the tooltip for this member.
`void` `setContainingGroup(IGroup grp)` Store the IGroup which contains this member
`void` `setFullName(java.lang.String fullName)`
`void` `setName(java.lang.String string)` Set the name for this member
`void` `setSize(int s)` Set this member's size
`void` `setTooltip(java.lang.String string)` Set the tooltip for this member
`java.lang.String` `toString()` Get the String representation of this member.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### tooltip

    protected java.lang.String tooltip

### size

    protected java.lang.Integer size

### fullname

    protected java.lang.String fullname

### containingGroup

    protected IGroup containingGroup

Constructor Detail

### SimpleMember

    public SimpleMember(java.lang.String s)

  The constructor. Takes the member's name as an argument.

Parameters:
  `s` -

Method Detail

### toString

    public java.lang.String toString()

  Get the String representation of this member. Contains the member's full name and size.

### setFullName

    public void setFullName(java.lang.String fullName)

### getFullname

    public java.lang.String getFullname()

  Get the full name for this member

  Specified by:
    `getFullname` in interface `IMember`
  Returns:
    the full name

### setTooltip

    public void setTooltip(java.lang.String string)

  Set the tooltip for this member

  Specified by:
    `setTooltip` in interface `IMember`
  Parameters:
    `string` - - the tooltip

### getToolTip

    public java.lang.String getToolTip()

  Get the tooltip for this member. Returns the member's name if an alternative tooltip has not been set.

  Specified by:
    `getToolTip` in interface `IMember`
  Returns:
    the tooltip

### setName

    public void setName(java.lang.String string)

  Set the name for this member

  Specified by:
    `setName` in interface `IMember`

### getName

    public java.lang.String getName()

  Get this member's name

  Specified by:
    `getName` in interface `IMember`
  Returns:
    this member's name

### setSize

    public void setSize(int s)

  Set this member's size

  Specified by:
    `setSize` in interface `IMember`
  Parameters:
    `s` - - the size

### getSize

    public java.lang.Integer getSize()

  Get the size

  Specified by:
    `getSize` in interface `IMember`
  Returns:
    the size

### getContainingGroup

    public IGroup getContainingGroup()

  Get the IGroup which contains this member

  Specified by:
    `getContainingGroup` in interface `IMember`
  Returns:
    the group which contains this member

### setContainingGroup

    public void setContainingGroup(IGroup grp)

  Store the IGroup which contains this member

  Specified by:
    `setContainingGroup` in interface `IMember`
  Parameters:
    `grp` -